TSDELTAP {bimets} | R Documentation

## Time Series Percentage Lag Differences (Delta Percentage)

### Description

This function returns the `O`-order, `L`-lag percentage differences of the input time series. If the input time series frequency is a multiple of the `L` lag argument, then it is possible to set the argument `ANNUALIZE=TRUE` in order to have the percent changes returned at annual rates, i.e. raised to power of `frequency/L`.

### Usage

    TSDELTAP(x = NULL, L = 1, ANNUALIZE = FALSE, avoidCompliance = FALSE, ...)

### Arguments

`x` | Input time series that must satisfy the compliance control check defined in `is.bimets`.
`L` | Lag.
`ANNUALIZE` | If TRUE the percent changes are returned as annual rates, i.e. raised to the power of frequency/L
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`
`...` | Backward compatibility.

### Value

This function returns a BIMETS time series.

### See Also

`DELTA`
`TSLAG`
`MOVAVG`
`INDEXNUM`

### Examples

    	#TS Q
    	n=10;
    	ts1=TSERIES(n:0,START=c(2000,1),FREQ='Q');
    	TABIT(ts1,TSDELTAP(ts1,1));

    	#TS 366
    	ts1=TSERIES(seq(1,length=10,by=-0.001),START=c(2000,1),FREQ=366);
    	TABIT(ts1,TSDELTAP(ts1,1,ANNUALIZE=TRUE));

[Package bimets version 1.4.0 Index]